repo/gentoo:master commit in: x11-wm/qtile/
MichaŠGórny <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786207895.c1362148880c240076096c1990eb11f749b81549.mgorny@gentoo> |
commit: c1362148880c240076096c1990eb11f749b81549
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 8 04:50:38 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Aug 8 16:51:35 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c1362148
x11-wm/qtile: Bump to 0.37.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
x11-wm/qtile/Manifest | 2 +
x11-wm/qtile/qtile-0.37.0.ebuild | 123 +++++++++++++++++++++++++++++++++++++++
2 files changed, 125 insertions(+)
diff --git a/x11-wm/qtile/Manifest b/x11-wm/qtile/Manifest
index 23f071748580..025655f8b2ae 100644
--- a/x11-wm/qtile/Manifest
+++ b/x11-wm/qtile/Manifest
@@ -2,3 +2,5 @@ DIST qtile-0.35.0.tar.gz 671218 BLAKE2B 610bb72951871c4ad0394589030a3c690555ad39
DIST qtile-0.35.0.tar.gz.provenance 9240 BLAKE2B 3587c5db50f92c2898809cb9de8f64d55a93c1285e56e149e64e3d80d066598e1eb7e8ccd28cb060f5760ca1779295cceb1c30ebb90f54c1219bbe12457e185a SHA512 4edb49d2e9bb44260bcb39552b9ac8d33811ae6a8bdc361f66b2a7aad026913b0cc060cdab6e6cd8849c553066bd3491e749d1cef4754f95d634f89c563b93fe
DIST qtile-0.36.0.tar.gz 684040 BLAKE2B d70654c7324310c700077c7b7325f014af59ac14171909610ec0397b44513815a5d0de5b6add7de8228b9f40a00e7c6ca692412a2df2571453aa1e73adfd6c34 SHA512 5c85a60945cc5b20fc31f64dcd72a9b1d2f0280b49421c47df11b4b1ee5e51bd19df360a0e04a1fa6335d5e2cfdcf2ea1894ac68cd29fc3e1f621f15956692f6
DIST qtile-0.36.0.tar.gz.provenance 9252 BLAKE2B cdc6e4e02a7a780c4853b8742349fc0a49bfdee2884c972c9c5099f3c4198b43a8dd75f0607c17be15a0155e8782ba33419ceff053858a9704c460dfe297431b SHA512 f21c38d99f352f84dded11d4600929d93af158c833e610722561c9a1e8d6ac1d3169dd237ca24b0372b30bc2b6f6d1467369840534822a0fe16bf4ab924fb59e
+DIST qtile-0.37.0.tar.gz 718485 BLAKE2B c49061329111de2fc5572c413e2d454178963b798015d05f7d0861dcb002db1e0bda2a0ff0473d8404c7594e36df1c709293770db74b47702b079f99f23e7635 SHA512 b75a580a8eadaa6a72461f545d1009d0f37583ea23e258175cd080c636f313434b38cfeb283728e05998e66f8a7227293265e63aa7b8415c732d13b57081a1b0
+DIST qtile-0.37.0.tar.gz.provenance 9554 BLAKE2B f16ba103df98546e67547b49ab90dc68b3943bb32212477a290d19bbb12cffc19db8344c510c1cb834fa873e798b06c2b942547b9463965f42773c0d1ab2c2d3 SHA512 1125e9bd6e21fa3b477e863b77bbde521fa1bcb1cbd88af03cbef6dcad1570f2aa300655c8f014409c21319a5f8227fcf908295e0a0d6d75223e219b3ca68ac9
diff --git a/x11-wm/qtile/qtile-0.37.0.ebuild b/x11-wm/qtile/qtile-0.37.0.ebuild
new file mode 100644
index 000000000000..118d224b32fe
--- /dev/null
+++ b/x11-wm/qtile/qtile-0.37.0.ebuild
@@ -0,0 +1,123 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=standalone
+PYPI_VERIFY_REPO=https://github.com/qtile/qtile
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi virtualx
+
+DESCRIPTION="A full-featured, hackable tiling window manager written in Python"
+HOMEPAGE="
+ https://qtile.org/
+ https://github.com/qtile/qtile/
+ https://pypi.org/project/qtile/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+IUSE="pulseaudio wayland"
+
+DEPEND="
+ >=dev-python/cairocffi-1.7.0[${PYTHON_USEDEP}]
+ >=dev-python/cffi-1.1.0:=[${PYTHON_USEDEP}]
+ wayland? (
+ dev-libs/libinput:=
+ dev-libs/wayland
+ gui-libs/wlroots:0.20
+ )
+"
+RDEPEND="
+ ${DEPEND}
+ dev-python/dbus-fast[${PYTHON_USEDEP}]
+ dev-python/pygobject[${PYTHON_USEDEP}]
+ >=dev-python/xcffib-1.4.0[${PYTHON_USEDEP}]
+ x11-libs/cairo[X,xcb(+)]
+ x11-libs/libnotify[introspection]
+ x11-libs/pango
+ pulseaudio? (
+ dev-python/pulsectl-asyncio[${PYTHON_USEDEP}]
+ media-libs/libpulse
+ )
+"
+DEPEND+="
+ wayland? (
+ dev-libs/wayland-protocols
+ )
+"
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/isort[${PYTHON_USEDEP}]
+ dev-python/libcst[${PYTHON_USEDEP}]
+ media-gfx/imagemagick[X]
+ x11-base/xorg-server[xephyr,xvfb]
+ x11-terms/xterm
+ )
+ wayland? (
+ dev-util/wayland-scanner
+ )
+"
+
+EPYTEST_PLUGINS=( anyio pytest-{asyncio,httpbin,timeout} )
+EPYTEST_RERUNS=5
+: ${EPYTEST_TIMEOUT:=180}
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+
+ mkdir bin || die
+}
+
+src_compile() {
+ local -x CFFI_TMPDIR=${T}
+ local DISTUTILS_CONFIG_SETTINGS_JSON="{\"backend\": \"$(usex wayland wayland x11)\"}"
+ distutils-r1_src_compile
+}
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # mypy stuff
+ test/test_check.py
+ test/migrate/test_check_migrations.py
+
+ # TODO
+ 'test/backend/wayland/test_idle_inhibit.py::test_inhibitor_open[1-x11-InhibitorConfig]'
+ 'test/backend/wayland/test_idle_inhibit.py::test_inhibitor_visible[1-x11-InhibitorConfig]'
+ 'test/backend/wayland/test_idle_inhibit.py::test_inhibitor_focus[1-x11-InhibitorConfig]'
+ 'test/backend/wayland/test_idle_inhibit.py::test_inhibitor_fullscreen[1-x11-InhibitorConfig]'
+ 'test/backend/wayland/test_idle_inhibit.py::test_inhibitor_global[1-x11-InhibitorConfig]'
+ test/shell_scripts/test_repl_server.py::test_repl_server_executes_code
+ )
+
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ cp -R "${S}/test" . || die
+
+ local -x TZ=UTC
+ nonfatal epytest --backend=x11 $(usev wayland '--backend=wayland')
+ local ret=${?}
+ rm -rf test || die
+
+ [[ ${ret} -eq 0 ]] || die -n "Tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ local DOCS=( CHANGELOG README.rst )
+ distutils-r1_python_install_all
+
+ insinto /usr/share/xsessions
+ doins resources/qtile.desktop
+
+ exeinto /etc/X11/Sessions
+ newexe "${FILESDIR}"/${PN}-session-r1 ${PN}
+}